

// * Navigation Bar ------------------------------------------------------------
#navigation-menu-button {
  all : unset;
  appearance: none;
  display : block;
  background : $primary-color;
  color: white;
  border: solid 2px $primary-color;
  //border-radius: 3px;
  padding : .5rem .75rem;
  line-height : 1;
  font-weight : 700;
  letter-spacing : .5px;
  user-select: none;
  -webkit-tap-highlight-color: transparent !important;
  cursor : pointer;
  transition: all 120ms;

  //position : static;
  //right : .125rem;
  //top : .125rem;
  //float : right;
  //z-index : 1000;

  &:hover {
    background : darken($primary-color, 10%);
    border-color : darken($primary-color, 10%);
  }
  &:focus {
    background : darken($primary-color, 15%);
    border-color : darken($primary-color, 15%);
    outline: none;
    box-shadow: 0 0 0 4px rgba($primary-color, .3);
  }
  &:active {
    background : darken($primary-color, 20%);
    border-color : darken($primary-color, 20%);
    //transform: translateY(2px);
  }

  @include min-width(560px) {
    display : none;
  }
}
[role=navigation] {
  @media screen and (max-width: 559px) {
    ul {
      transition: all 300ms ease-out;
      visibility: hidden;
      height : 0;
      transform: translateY(-100%) scaleY(0);
      &.open {
        height : 81vh !important;
        visibility: visible !important;
        transform: translateY(0) scaleY(1) !important;
        display : flex;
        flex-direction : column;
        align-items : center;
        align-content : center;
        justify-content : space-around;
      }
    }
    &.mobile-expanded {
      position : absolute;
      left : 0;
      top : 0;
      right : 0;
      bottom : 0;
      height : 100vh;
      width : 100vw;

    }
  }
}
.scroll-lock-for-mobile-nav {
  height : 100vh !important;
  overflow: hidden !important;
  max-height: 100vh !important;
}


// * Buttons -------------------------------------------------------------------
%button-base {
  appearance: none;
  border-radius: 3px;
  line-height : 1.5;
  padding : .5rem .75rem;
  background-color : $defaul-button-color;
  color: $defaul-button-text-color;
  border: solid 2px $defaul-button-color;
  font-weight : 600;
  letter-spacing : 1px;
  cursor : pointer;
  user-select: none;
  text-decoration : none;
  -webkit-touch-callout: none;
  -webkit-tap-highlight-color: transparent !important;

  display : block;
  width : 100%;
  margin : 1rem 0;
  transition: all 120ms ease-out;

  @include min-width(560px) {
    display : inline-block;
    line-height : 1;
    width : unset;
    margin : 0 1rem 2rem 0;
    min-width : 128px;
  }


  &:hover {
    $_adjusted-color: darken($defaul-button-color, 10%);
    background-color : $_adjusted-color;
    border-color : $_adjusted-color;
  }
  &:focus {
    $_adjusted-color: darken($defaul-button-color, 15%);
    background-color : $_adjusted-color;
    border-color : $_adjusted-color;
    outline: none;
    box-shadow: 0 0 0 3px rgba($primary-color, 0.25);
  }
  &:active {
    transform: translateY(2px);
    $_adjusted-color: darken($defaul-button-color, 20%);
    background-color : $_adjusted-color;
    border-color : $_adjusted-color;
  }

  &.primary {
    background-color : $primary-color;
    border-color : $primary-color;
    color: white;
    &:hover {
      $_adjusted-color: darken($primary-color, 10%);
      background-color : $_adjusted-color;
      border-color : $_adjusted-color;
    }
    &:focus {
      $_adjusted-color: darken($primary-color, 15%);
      background-color : $_adjusted-color;
      border-color : $_adjusted-color;
    }
    &:active {
      transform: translateY(2px);
      $_adjusted-color: darken($primary-color, 20%);
      background-color : $_adjusted-color;
      border-color : $_adjusted-color;
    }
  }
  &.secondary {
    background-color : $secondary-color;
    border-color: $secondary-color;
    color: white;
    &:hover {
      $_adjusted-color: darken($secondary-color, 10%);
      background-color : $_adjusted-color;
      border-color : $_adjusted-color;
    }
    &:focus {
      $_adjusted-color: darken($secondary-color, 15%);
      background-color : $_adjusted-color;
      border-color : $_adjusted-color;
    }
    &:active {
      transform: translateY(2px);
      $_adjusted-color: darken($secondary-color, 20%);
      background-color : $_adjusted-color;
      border-color : $_adjusted-color;
    }
  }

}
#{$all-buttons}, .button {
  &:not(#navigation-menu-button) {
    @extend %button-base;
  }
}
ul.button-list {
  padding : 0 !important;
  width : 100%;
  list-style : none;
  margin : 0 !important;
  text-align : center;
  li {
    display : block;
    width : 100%;
    list-style : none;
    margin : 1rem 0 !important;
    padding : 0;
    text-align : center;
    #{$all-buttons} {
      margin : 0 !important;
      text-align : center;
    }
  }

  @include min-width(560px) {
    text-align : left;
    #{$all-buttons} {
      margin : 0 !important;
      display : inline-block;
    }
    li, #{$all-buttons} {
      display : inline-block !important;
    }
    li {
      width : unset;
      display : inline-block;
      text-align : unset;
      margin : 1rem 1rem 2rem 0 !important;
    }
  }
}

// * Inputs --------------------------------------------------------------------
fieldset {
  border: none;
  outline: none;
  display : block;
  padding : 0;
  margin : 0 0 .25rem 0;
}
label {
  line-height : 1.5;
  margin-top : 1.25rem;
  display : block;
  margin-bottom : .25rem;
  font-weight : 500;
  letter-spacing : .5px;
}
#{$all-text-inputs} {
  width : 100%;
  display : block;
  line-height : 1.5;
  padding : .5rem;
  border-radius: 3px;
  border: solid 2px lightgray !important;
  transition: all 200ms ease-out !important;
  user-select: none;
  -webkit-tap-highlight-color: transparent !important;
  -webkit-touch-callout: none;

  &:placeholder-shown, &::placeholder, &::placeholder, &:placeholder-shown {
    color: darkgray;
  }

  &:hover {
    background-color : #f5f7ff;
    border-color: #eee3ff !important;
  }
  &:focus {
    background-color : #efedff;
    outline-color: $primary-color;
    border-color: $primary-color;
    outline-offset: 0 !important;
    box-shadow: 0 0 1px 3px rgba($primary-color, 0.125);
  }
  &:active {
    background-color : #e5e0ff;
    box-shadow: 0 0 3px 4px rgba($primary-color, 0.125);
    border-color: darken($primary-color, 10%);
  }
}
textarea {
  resize: vertical;
}
form {
  input[type=submit], input[type=reset] {
    margin : 1rem 0 1.5rem !important;
    display : block;
  }


}
legend {
  @include ms-respond(font-size, 2);
  font-weight : 600;
  letter-spacing : .5px;
}

// Alt form
form.validating-form {

  input[required] {
    &:valid {
      border-color: lime;
    }
    &:invalid {
      &:empty {

      }
      &:not(:empty) {
        border-color: tomato !important;
      }
    }
  }


}
